import 'package:flutter/material.dart';
import 'package:sense_the_rhythm/models/note.dart';
import 'package:sense_the_rhythm/widgets/arrow.dart';

class Arrows extends StatelessWidget {
  final List<Note> notes;
  final double position;

  const Arrows({super.key, required this.notes, required this.position});

  @override
  Widget build(BuildContext context) {
    return Stack(
        children: notes.map((note) {
      double position =
          note.position * 10000; //  * 20 * MediaQuery.of(context).size.height;

      return Arrow(
        position: position,
        direction: note.direction,
      );
    }).toList());
  }
}
